Subject: linux-next: build failure after merge of the net tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 12 Aug 2011 12:02:48 +1000

Hi all,

After merging the net tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

Assembler messages:
Fatal error: can't create drivers/net/ethernet/sun/.tmp_sungem_phy.o: No such file or directory

Presumably caused by commit e689cf4a0427 ("cassini/niu/sun*: Move the Sun
drivers") theough I don't know why.  I tried throwing away my object
directory, but that didn't help.

Ah, ha!  This looks suspicious (change to drivers/net/Makefile):

+obj-$(CONFIG_SPIDER_NET) += spidernet.o ethernet/sun/sungem_phy.o

I have used the net tree from next-20110811 for today.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/